Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1556068 - libsigrok: FTBFS in F28
Summary: libsigrok: FTBFS in F28
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libsigrok
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex G.
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1556840
Blocks: F28FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-03-14 23:09 UTC by Fedora Release Engineering
Modified: 2018-05-28 06:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-28 06:42:14 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Release Engineering 2018-03-14 23:09:59 UTC
Your package libsigrok failed to build from source in current F28.

https://koji.fedoraproject.org/koji/taskinfo?taskID=24814239

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

Comment 1 Dan Horák 2018-03-15 10:55:33 UTC
There are actually 2 issues
- missing BR: bzip2-devel, but can't see why it's now required
- RPC not detected, so VXI support is disabled - https://fedoraproject.org/wiki/Changes/SunRPCRemoval

Comment 2 Alex G. 2018-03-16 02:09:05 UTC
I noticed some of that in an scratch build on an updated F27 system too. I'm surprised that the autotools didn't pick this up, but when have autotools been helpful?
I'll get this fixed.

Comment 3 Dan Horák 2018-03-16 08:25:49 UTC
The bzip2-devel package is not needed any more, libzip has been fixed and is in F-28 buildroot already via override.

The RPC thing will need a new check for libtirpc (via pkgconfig) and some logic to be added into libsigrok's configure.ac.

Comment 4 Alex G. 2018-03-17 03:09:52 UTC
Aah, then it makes things much simpler for me. Thanks!

Comment 5 Fedora Update System 2018-03-17 16:33:29 UTC
libsigrok-0.5.0-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2d346c8e7

Comment 6 Fedora Update System 2018-03-17 19:31:12 UTC
libsigrok-0.5.0-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2d346c8e7

Comment 7 Fedora Update System 2018-03-30 13:05:56 UTC
libsigrok-0.5.0-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Till Maas 2018-05-28 06:42:14 UTC
This appears to be fixed, closing.


Note You need to log in before you can comment on or make changes to this bug.